SketchUp C API

- Main Page
- Related Pages
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Related Functions
SUUVHelperRef Struct Reference

Used to compute UV texture coordinates for a particular face. More...

`#include <SketchUpAPI/model/uv_helper.h>`

## Related Functions
(Note that these are not member functions.)
enum SUResult | SUUVHelperRelease (SUUVHelperRef *uvhelper)
| Releases a UVHelper object that was obtained from a face. More...
enum SUResult | SUUVHelperGetFrontUVQ (SUUVHelperRef uvhelper, const struct SUPoint3D *point, struct SUUVQ *uvq)
| Retrieves the UVQ point at the given point for the front of the face. More...
enum SUResult | SUUVHelperGetBackUVQ (SUUVHelperRef uvhelper, const struct SUPoint3D *point, struct SUUVQ *uvq)
| Retrieves the UVQ point at the given point for the back of the face. More...

## Detailed Description

Used to compute UV texture coordinates for a particular face.

## Friends And Related Function Documentation

enum SUResult SUUVHelperGetBackUVQ | ( | SUUVHelperRef | uvhelper,
|  | const struct SUPoint3D * | point,
|  | struct SUUVQ * | uvq
| ) |  |
| related

Retrieves the UVQ point at the given point for the back of the face.

Parameters

  [in] | uvhelper | The UVHelper object.
  [in] | point | The point where the coordinates are to be computed.
  [out] | uvq | The coordinates retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if uvhelper is an invalid object
  - SU_ERROR_NULL_POINTER_INPUT if point is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if uvq is NULL

enum SUResult SUUVHelperGetFrontUVQ | ( | SUUVHelperRef | uvhelper,
|  | const struct SUPoint3D * | point,
|  | struct SUUVQ * | uvq
| ) |  |
| related

Retrieves the UVQ point at the given point for the front of the face.

Parameters

  [in] | uvhelper | The UV helper object.
  [in] | point | The point where the coordinates are to be computed.
  [out] | uvq | The coordinates retrieved.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if uvhelper is an invalid object
  - SU_ERROR_NULL_POINTER_INPUT if point is NULL
  - SU_ERROR_NULL_POINTER_OUTPUT if uvq is NULL

enum SUResult SUUVHelperRelease | ( | SUUVHelperRef * | uvhelper | ) |
| related

Releases a UVHelper object that was obtained from a face.

Parameters

  [in] | uvhelper | The UV helper object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if uvhelper is NULL
  - SU_ERROR_INVALID_INPUT if uvhelper is an invalid object

The documentation for this struct was generated from the following files:

- SketchUpAPI/model/defs.h
- SketchUpAPI/model/uv_helper.h